org.wildfly.swarm.config.elytron

## Class ProviderHTTPServerMechanismFactory<T extends ProviderHTTPServerMechanismFactory<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.ProviderHTTPServerMechanismFactory<T>

-     public class ProviderHTTPServerMechanismFactory<T extends ProviderHTTPServerMechanismFactory<T>>
      extends Object

  A http server factory definition where the http server factory is an aggregation of factories from the Provider[]

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProviderHTTPServerMechanismFactory(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `availableMechanism(String value)` The HTTP mechanisms available from this factory instance.
    `List<String>` | `availableMechanisms()` The HTTP mechanisms available from this factory instance.
    `T` | `availableMechanisms(List<String> value)` The HTTP mechanisms available from this factory instance.
    `T` | `availableMechanisms(String... args)` The HTTP mechanisms available from this factory instance.
    `String` | `getKey()`
    `String` | `providers()` The providers to use to locate the factories, if not specified the globally registered list of Providers will be used.
    `T` | `providers(String value)` The providers to use to locate the factories, if not specified the globally registered list of Providers will be used.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProviderHTTPServerMechanismFactory

          public ProviderHTTPServerMechanismFactory(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### availableMechanisms

          public List<String> availableMechanisms()

      The HTTP mechanisms available from this factory instance.

    - #### availableMechanisms

          public T availableMechanisms(List<String> value)

      The HTTP mechanisms available from this factory instance.

    - #### availableMechanism

          public T availableMechanism(String value)

      The HTTP mechanisms available from this factory instance.

    - #### availableMechanisms

          public T availableMechanisms(String... args)

      The HTTP mechanisms available from this factory instance.

    - #### providers

          public String providers()

      The providers to use to locate the factories, if not specified the globally registered list of Providers will be used.

    - #### providers

          public T providers(String value)

      The providers to use to locate the factories, if not specified the globally registered list of Providers will be used.

Copyright © 2018 JBoss by Red Hat. All rights reserved.